    Return the background RMF associated with a PHA data set.

get_bkg_rmf(id=None)
id - int or str, optional

This is for the case when there is only one background component and one background response. If this does not hold, use `get_rmf` and use the bkg_id and resp_id arguments.

Copy the RMF from the default data set to data set 2, as the first component:

>>> rmf1 = get_bkg_arf() >>> set_rmf(2, arf1, bkg_id=1)

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set to use. If not given then the default identifier is used, as returned by `get_default_id` .

The return value from this function is:

rmf -- This is a reference to the RMF, rather than a copy, so that changing the fields of the object will change the values in the data set.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023